Get Answers

This endpoint is used for fetching survey answers along with basic survey data and aggregated NPS scores.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "date_shortcut": "all_time",
  "comment_content": "great",
  "order_by": "rating",
  "order_type": "asc",
  "with_comments": true,
  "answer_type": "promoters",
  "properties" : {"color" : "RkJrQllReklDTmk0cmRtTUVMUGw2SWJKUStHTk1lZG5WMFppSUIzdmxvOD0=,czhlUW5yZXdNR0t5eW16T3A5OWx3RXJnV2FNaDNEc0J1K2FMdGFUSVRwMD0=",
                 "country" : "Yzg4TDJwVnNtNDM2Nm1Ca2hpdjMrUmdBODN4Z1Blb053cFB3eFo4MmR4dz0="},
  "page": 1
}

Response attributes

AttributeTypeDescription
surveyobjectSurvey information data.
survey.titlestringSurvey title.
survey.statusstringSurvey status. One of: draft, active
survey.response_ratestringSurvey response rate (all time) - only for "our email" channel.
survey.public_hash_idstringSurvey public hash id used to identify survey.
survey.promotersobjectSummary data about promoters from survey answers.
survey.promoters.percentagenumberPercentage of answers that were promoters.
survey.promoters.deltanumberPromoters delta - describing the +/- change since the previous period.
survey.passivesobjectSummary data about passives from survey answers.
survey.passives.percentagenumberPercentage of answers that were passives.
survey.passives.deltanumberPassives delta - describing the +/- change since the previous period.
survey.number_of_responsesnumberNumber of answers.
survey.npsobjectSummary data about NPS from survey answers.
survey.nps.percentagenumberThe NPS score.
survey.nps.deltanumberNPS delta - describing the +/- change since the previous period.
survey.inserted_atdateSurvey creation date.
survey.detractorsobjectSummary data about detractors from survey answers.
survey.detractors.percentagenumberPercentage of answers that were detractors.
survey.detractors.deltanumberDetractors delta - describing the +/- change since the previous period.
propertiesarrayList of properties for the survey answers.
properties.namestringProperty name.
properties.valuestringProperty value.
properties.idnumberProperty Id.
metaobjectResult metadata.
meta.totalnumberNumber of answers.
meta.survey_has_answersbooleanFlag if survey has answers.
meta.per_pagenumberNumber of answers per page.
meta.pagenumberCurrent results page.
answersarraySurvey answer.
answers.idstringAnswer identifier.
answers.score_typestringScore type for the answer.
answers.scorenumberActual score for the answer.
answers.namestringName of survey recipient who submitted the answer.
answers.recipient_idstringID of a recipient who submitted the answer.
answers.property_idsarrayArray of property identifiers for the answer.
answers.metatagsobjectList of metatags for the answer.
answers.labelsarrayList of labels for the answer.
answers.inserted_atdateDate when an answer has been submitted.
answers.emailstringEmail of survey recipient who submitted the answer. Deprecated
answers.identitystringIdentity of survey recipient who submitted the answer.
answers.identity_typestringIdentity type of survey recipient who submitted the answer. One of: email, custom
answers.commentstringAnswer comment of survey recipient who submitted the answer.
Path Params
string
required

Unique ID of a survey

Query Params
string
Defaults to plugin.key

Concatenation of the plugin identifier and a unique user key.

string
Defaults to all_time

Date range for which we want to fetch answers. Allowed values: today, yesterday, last_week, last_month, last_7_days, last_30_days, all_time

string

Comment content filter for the answers.

string

Result sort. Allowed values: rating, inserted_at

string
Defaults to desc

Sort answer ascending or descending. Allowed values: asc, desc

boolean

Filters answer with comments only. Allowed values: true, false

string

Filters particular answers type only. Allowed values: detractors, passives, promoters

int32
Defaults to 1

Number of the page of the results you would like to get.

string

Filter by properties. The key should be the name of the property, the value should be a list of comma-separated property ids. E.g. properties[color]=1,3,5

boolean

Value true returns only answers with identity. Value false returns only answers without identity.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json